<?php
	
	$online_education_lms_tp_theme_css = '';

	// 1st color
	$online_education_lms_tp_color_option_first = get_theme_mod('online_education_lms_tp_color_option_first', '#5956E9');
	if ($online_education_lms_tp_color_option_first) {
		$online_education_lms_tp_theme_css .= ':root {';
		$online_education_lms_tp_theme_css .= '--color-primary1: ' . esc_attr($online_education_lms_tp_color_option_first) . ';';
		$online_education_lms_tp_theme_css .= '}';
	}

	// 1st color
	$online_education_lms_tp_color_option_sec = get_theme_mod('online_education_lms_tp_color_option_sec', '#FFD25D');
	if ($online_education_lms_tp_color_option_sec) {
		$online_education_lms_tp_theme_css .= ':root {';
		$online_education_lms_tp_theme_css .= '--color-primary3: ' . esc_attr($online_education_lms_tp_color_option_sec) . ';';
		$online_education_lms_tp_theme_css .= '}';
	}

	// preloader
	$online_education_lms_tp_preloader_color1_option = get_theme_mod('online_education_lms_tp_preloader_color1_option');
	if($online_education_lms_tp_preloader_color1_option != false){
	$online_education_lms_tp_theme_css .='.center1{';
		$online_education_lms_tp_theme_css .='border-color: '.esc_attr($online_education_lms_tp_preloader_color1_option).' !important;';
	$online_education_lms_tp_theme_css .='}';
	}
	if($online_education_lms_tp_preloader_color1_option != false){
	$online_education_lms_tp_theme_css .='.center1 .ring::before{';
		$online_education_lms_tp_theme_css .='background: '.esc_attr($online_education_lms_tp_preloader_color1_option).' !important;';
	$online_education_lms_tp_theme_css .='}';
	}

	$online_education_lms_tp_preloader_color2_option = get_theme_mod('online_education_lms_tp_preloader_color2_option');

	if($online_education_lms_tp_preloader_color2_option != false){
	$online_education_lms_tp_theme_css .='.center2{';
		$online_education_lms_tp_theme_css .='border-color: '.esc_attr($online_education_lms_tp_preloader_color2_option).' !important;';
	$online_education_lms_tp_theme_css .='}';
	}
	if($online_education_lms_tp_preloader_color2_option != false){
	$online_education_lms_tp_theme_css .='.center2 .ring::before{';
		$online_education_lms_tp_theme_css .='background: '.esc_attr($online_education_lms_tp_preloader_color2_option).' !important;';
	$online_education_lms_tp_theme_css .='}';
	}

	$online_education_lms_tp_preloader_bg_color_option = get_theme_mod('online_education_lms_tp_preloader_bg_color_option');

	if($online_education_lms_tp_preloader_bg_color_option != false){
	$online_education_lms_tp_theme_css .='.loader{';
		$online_education_lms_tp_theme_css .='background: '.esc_attr($online_education_lms_tp_preloader_bg_color_option).';';
	$online_education_lms_tp_theme_css .='}';
	}

	$online_education_lms_tp_footer_bg_color_option = get_theme_mod('online_education_lms_tp_footer_bg_color_option');


	if($online_education_lms_tp_footer_bg_color_option != false){
	$online_education_lms_tp_theme_css .='#footer{';
		$online_education_lms_tp_theme_css .='background: '.esc_attr($online_education_lms_tp_footer_bg_color_option).';';
	$online_education_lms_tp_theme_css .='}';
	}

	// logo tagline color
	$online_education_lms_site_tagline_color = get_theme_mod('online_education_lms_site_tagline_color');

	if($online_education_lms_site_tagline_color != false){
	$online_education_lms_tp_theme_css .='.logo h1 a, .logo p a, .logo p.site-title a{';
	$online_education_lms_tp_theme_css .='color: '.esc_attr($online_education_lms_site_tagline_color).';';
	$online_education_lms_tp_theme_css .='}';
	}

	$online_education_lms_logo_tagline_color = get_theme_mod('online_education_lms_logo_tagline_color');
	if($online_education_lms_logo_tagline_color != false){
	$online_education_lms_tp_theme_css .='p.site-description{';
	$online_education_lms_tp_theme_css .='color: '.esc_attr($online_education_lms_logo_tagline_color).';';
	$online_education_lms_tp_theme_css .='}';
	}

	// footer widget title color
	$online_education_lms_footer_widget_title_color = get_theme_mod('online_education_lms_footer_widget_title_color');
	if($online_education_lms_footer_widget_title_color != false){
	$online_education_lms_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
	$online_education_lms_tp_theme_css .='color: '.esc_attr($online_education_lms_footer_widget_title_color).';';
	$online_education_lms_tp_theme_css .='}';
	}

	// copyright text color
	$online_education_lms_footer_copyright_text_color = get_theme_mod('online_education_lms_footer_copyright_text_color');
	if($online_education_lms_footer_copyright_text_color != false){
	$online_education_lms_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
	$online_education_lms_tp_theme_css .='color: '.esc_attr($online_education_lms_footer_copyright_text_color).'!important;';
	$online_education_lms_tp_theme_css .='}';
	}

	// header image title color
	$online_education_lms_header_image_title_text_color = get_theme_mod('online_education_lms_header_image_title_text_color');
	if($online_education_lms_header_image_title_text_color != false){
	$online_education_lms_tp_theme_css .='.box-text h2{';
	$online_education_lms_tp_theme_css .='color: '.esc_attr($online_education_lms_header_image_title_text_color).';';
	$online_education_lms_tp_theme_css .='}';
	}

	// menu color
	$online_education_lms_menu_color = get_theme_mod('online_education_lms_menu_color');
	if($online_education_lms_menu_color != false){
	$online_education_lms_tp_theme_css .='.main-navigation a{';
	$online_education_lms_tp_theme_css .='color: '.esc_attr($online_education_lms_menu_color).';';
	$online_education_lms_tp_theme_css .='}';
}


//Footer Font Weight
$online_education_lms_footer_copyright_title_font_weight = get_theme_mod( 'online_education_lms_footer_copyright_title_font_weight','');
if($online_education_lms_footer_copyright_title_font_weight == '100'){
$online_education_lms_tp_theme_css .='#footer .site-info p {';
    $online_education_lms_tp_theme_css .='font-weight: 100;';
$online_education_lms_tp_theme_css .='}';
}else if($online_education_lms_footer_copyright_title_font_weight == '200'){
$online_education_lms_tp_theme_css .='#footer .site-info p {';
    $online_education_lms_tp_theme_css .='font-weight: 200;';
$online_education_lms_tp_theme_css .='}';
}else if($online_education_lms_footer_copyright_title_font_weight == '300'){
$online_education_lms_tp_theme_css .='#footer .site-info p {';
    $online_education_lms_tp_theme_css .='font-weight: 300;';
$online_education_lms_tp_theme_css .='}';
}else if($online_education_lms_footer_copyright_title_font_weight == '400'){
$online_education_lms_tp_theme_css .='#footer .site-info p {';
    $online_education_lms_tp_theme_css .='font-weight: 400;';
$online_education_lms_tp_theme_css .='}';
}else if($online_education_lms_footer_copyright_title_font_weight == '500'){
$online_education_lms_tp_theme_css .='#footer .site-info p {';
    $online_education_lms_tp_theme_css .='font-weight: 500;';
$online_education_lms_tp_theme_css .='}';
}else if($online_education_lms_footer_copyright_title_font_weight == '600'){
$online_education_lms_tp_theme_css .='#footer .site-info p {';
    $online_education_lms_tp_theme_css .='font-weight: 600;';
$online_education_lms_tp_theme_css .='}';
}else if($online_education_lms_footer_copyright_title_font_weight == '700'){
$online_education_lms_tp_theme_css .='#footer .site-info p {';
    $online_education_lms_tp_theme_css .='font-weight: 700;';
$online_education_lms_tp_theme_css .='}';
}else if($online_education_lms_footer_copyright_title_font_weight == '800'){
$online_education_lms_tp_theme_css .='#footer .site-info p {';
    $online_education_lms_tp_theme_css .='font-weight: 800;';
$online_education_lms_tp_theme_css .='}';
}else if($online_education_lms_footer_copyright_title_font_weight == '900'){
$online_education_lms_tp_theme_css .='#footer .site-info p {';
    $online_education_lms_tp_theme_css .='font-weight: 900;';
$online_education_lms_tp_theme_css .='}';
}